Bug 1734146 - [OSP13]Mysql failure on GSSAPI unspecified error
Summary: [OSP13]Mysql failure on GSSAPI unspecified error
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: mariadb
Version: 13.0 (Queens)
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
: ---
Assignee: Juan Badia Payno
QA Contact: Elena German
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-29 18:22 UTC by Elena German
Modified: 2019-10-06 10:51 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Comment 5 Elena German 2019-07-31 07:59:31 UTC
Hi!
Procedure is fine, the problem is with gssapi.
Please take a look on bug I found: https://bugzilla.redhat.com/show_bug.cgi?id=1468028

Comment 6 Elena German 2019-07-31 08:00:14 UTC
restore procedure is for overcloud node

Comment 7 Elena German 2019-07-31 08:11:23 UTC
(In reply to Elena German from comment #5)
> Hi!
> Procedure is fine, the problem is with gssapi.
> Please take a look on bug I found:
> https://bugzilla.redhat.com/show_bug.cgi?id=1468028

gssapi have to be removed

Comment 9 Elena German 2019-08-01 09:09:40 UTC
found workaround, but still need a final solution

Comment 10 Damien Ciabrini 2019-08-01 09:25:25 UTC
(In reply to Elena German from comment #9)
> found workaround, but still need a final solution

can you elaborate on your workaround, and hint at whether the original issue was due to gssapi auth module or not?
I can't reproduce anything right now so I can't be of much help

Comment 13 Elena German 2019-08-01 10:15:59 UTC
(In reply to Damien Ciabrini from comment #10)
> (In reply to Elena German from comment #9)
> > found workaround, but still need a final solution
> 
> can you elaborate on your workaround, and hint at whether the original issue
> was due to gssapi auth module or not?
> I can't reproduce anything right now so I can't be of much help
GSSAPI:
disable gssapi:
1. create new mysql db: mysql_install_db --datadir=/var/lib/mysql --gssapi=OFF --user=mysql
2. at /etc/my.cnf.d/auth_gssapi.cnf comment line: #plugin-load-add=auth_gssapi.so

TC.LOG
1. remove /var/lib/mysql/tc.log 
2. only after run: /bin/mysqld_safe --pid-file=/var/run/mysqld/mysqld.pid \
      --socket=/var/lib/mysql/mysql.sock \
      --datadir=/var/lib/mysql \
      --log-error=/var/log/mysql_cluster.log \
      --user=mysql \
      --open-files-limit=16384 \
      --wsrep-cluster-address=gcomm:// &


Note You need to log in before you can comment on or make changes to this bug.